changing colors in viewports

Thanks to your replies I have learned to work with PaperSpace. I created our office's first Paper Space project this last week.
We've been working in Model space forever, (myself for the last 6 1/2 yrs). However I've run into a snag today. My boss wants the overlapping areas around matchlines to be grayed out in color. I would just as well clip the viewport at the matchline but he likes to show some of the adjoining sheet on each sheet but he wants it grayed in color. The only way I can figure to do this (we are all still working in R-14 even though we have LDD 2000i in office) is to copy the area and paste it into paperspace (after clipping the viewport) and gray out everything. The problem here to me is the main reason I wanted to move to paper was to "keep" the layout (civil engineering) in tact and not have to split it up. If I have to start copying things out of the layout then come revision time I'm still going to have to recopy or re-edit everything that is not in the main layout. Is there a way to work around this ?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Until autocad comes up with a way to make a viewport-specific color change, the way you're proposing doing this is probably simplest.
One other way you could do it, but would require copying your model-space drawing:
Do a "Save As" on your current drawing (for example, if your drawing is called Model.dwg, save it as Model-Copy.dwg.) Then, XREF Model-Copy.dwg into Model.dwg. You will now basically have 2 copies of the same model space stuff on top of each other in model space. Go into layer manager and change all of the Model-Copy XREF dependant layers to a color or linetype that will print "greyed out". Now go into your viewport in Paper Space and freeze all those same XREF layers in it. Then, create a new viewport, zoom to same scale as original viewport, and line them up by snapping to reference points. Now stretch the new viewport as needed to line up with your matchlines, and stretch them a bit past as you need. Now go into the new viewport and freeze all layers EXCEPT the Model-Copy XREF layers (and of course the layer you inserted the XREF on.) You can then add viewports as needed for every matchline, following the same method. The biggest drawback is every time Model.dwg changes you have to remember to update Model-Copy.dwg as well.
HTH, Ben
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
This is a multi-part message in MIME format. --------------090106010303040007020308 Content-Type: text/plain; charset=ISO-8859-1; format=flowed Content-Transfer-Encoding: 7bit
JG wrote:

let's see.
I draw a floor plan and want to create a roof plan. I take my walls layer and copy all the segments to another layer. then I move them some even increment. then I draw my roof outlines over the new layer's wall lines. not as complicated as I make it sound. for this purpose I wrote this.
(DEFUN C:CPL (/ ss name) (prompt "\nSelect the entities you want to copy: ") (setq ss (ssget)) (setq name (getstring T (strcat "\nEnter destination layer name <" (getvar "clayer") "> :"))) (if (= name "") (setq name (getvar "clayer")) ) (if (= nil (tblsearch "LAYER" name)) (command "layer" "n" name "") ) (command "copy" ss "" "@" "@") (command "chprop" ss "" "la" name "") (princ) )
many moons ago. sloppy code, I don't used "command" any more.
but the concept should work, try this.
make a redundant copy of all the overlap in this new GREY layer. make two paperspace viewports such that your matchline "covers" where they join. first viewport, say left of matchline - normal setting. second viewport, which would be right of matchline in this case, only the greyed out layer is thawed.
should be a clean break along the match line. then, ask for a raise....
oh, if there are blocks involved, I would do some nesting of the blocks so that there is a greyed out copy of the block nested, and the grey layer AND the insertion point layer would need to be ON and THAWED in the grey port. I used to do that with plumbing fixtures. like, a water closet was drawn as a polyline in my PLUMBING layer, and it was set to plot a heavy line, then in a different layer the same outline plotted a very light pen weight, which showed on every plan where the plumbing layer was turned off..... like turned off through a viewport.
regards,
roy
--------------090106010303040007020308 Content-Type: text/html; charset=ISO-8859-1 Content-Transfer-Encoding: 7bit
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"> <html> <head> <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type"> </head> <body bgcolor="#ffffff" text="#000000"> <font face="Arial">JG wrote:</font>
<pre wrap=""><font face="Arial">Thanks to your replies I have learned to work with PaperSpace. I created our office's first Paper Space project this last week. We've been working in Model space forever, (myself for the last 6 1/2 yrs). However I've run into a snag today. My boss wants the overlapping areas around matchlines to be grayed out in color. I would just as well clip the viewport at the matchline but he likes to show some of the adjoining sheet on each sheet but he wants it grayed in color. The only way I can figure to do this (we are all still working in R-14 even though we have LDD 2000i in office) is to copy the area and paste it into paperspace (after clipping the viewport) and gray out everything. The problem here to me is the main reason I wanted to move to paper was to "keep" the layout (civil engineering) in tact and not have to split it up. If I have to start copying things out of the layout then come revision time I'm still going to have to recopy or re-edit everything that is not in the main layout. Is there a way to work around this ?
</font></pre> </blockquote> let's see.<br> <br> I draw a floor plan and want to create a roof plan. <br> I take my walls layer and copy all the segments to another layer. <br> then I move them some even increment. <br> then I draw my roof outlines over the new layer's wall lines. <br> not as complicated as I make it sound. for this purpose I wrote this.<br> <br> <font color="#990000">(DEFUN C:CPL (/ ss name)<br> &nbsp;&nbsp; (prompt "\nSelect the entities you want to copy: ")<br> &nbsp;&nbsp; (setq ss (ssget))<br> &nbsp;&nbsp; (setq name (getstring T (strcat "\nEnter destination layer name &lt;" (getvar "clayer") "&gt; :")))<br> &nbsp;&nbsp; (if (= name "")<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (setq name (getvar "clayer"))<br> &nbsp;&nbsp; )<br> &nbsp;&nbsp; (if (= nil (tblsearch "LAYER" name))<br> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (command "layer" "n" name "")<br> &nbsp;&nbsp; )<br> &nbsp;&nbsp; (command "copy" ss "" "@" "@")<br> &nbsp;&nbsp; (command "chprop" ss "" "la" name "")<br> &nbsp;&nbsp; (princ)<br> )<br> <br> <font color="#000000">many moons ago. sloppy code, I don't used "command" any more.<br> <br> but the concept should work, try this.<br> <br> make a redundant copy of all the overlap in this new GREY layer.<br> make two paperspace viewports such that&nbsp; your matchline "covers" where they join.<br> first viewport, say left of matchline - normal setting.<br> second viewport, which would be right of matchline in this case, only the greyed out layer is thawed.<br> <br> should be a clean break along the match line.<br> then, ask for a raise....<br> <br> oh, if there are blocks involved, I would do some nesting of the blocks so that there is a greyed out copy<br> of the block nested, and the grey layer AND the insertion point layer would need to be ON and THAWED <br> in the grey port. I used to do that with plumbing fixtures. like, a water closet was drawn as a polyline in<br> my PLUMBING layer, and it was set to plot a heavy line, then in a different layer the same outline plotted<br> a very light pen weight, which showed on every plan where the plumbing layer was turned off.....<br> like turned off through a viewport.<br> <br> regards,<br> <br> roy<br> <br> </font></font> </body> </html>
--------------090106010303040007020308--
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.